%global srcname traceback2

Name:           python-%{srcname}
Version:        1.4.0
Release:        %mkrel 17
Summary:        Backports of the traceback module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/testing-cabal/traceback2
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A backport of traceback to older supported Pythons.

%package -n     python3-%{srcname}
Summary:        Backports of the traceback module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A backport of traceback to older supported Pythons.

%prep
%setup -q -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 1.4.0-17.mga10
+ Revision: 2157889
- rebuild for python3.13

* Fri Dec 22 2023 tv <tv> 1.4.0-16.mga10
+ Revision: 2020852
- Rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.4.0-15.mga9
+ Revision: 1824610
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.4.0-14.mga9
+ Revision: 1771880
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.4.0-13.mga9
+ Revision: 1702605
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-12.mga8
+ Revision: 1530687
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1.4.0-11.mga8
+ Revision: 1437160
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.4.0-10.mga8
+ Revision: 1436797
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.4.0-9.mga7
+ Revision: 1349273
- rebuild for python3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.4.0-8.mga7
+ Revision: 1290433
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.4.0-7.mga7
+ Revision: 1211345
- Renamed python-traceback2 to python2-traceback2
- Use new py macros
- Use python_provide

* Wed Oct 04 2017 tv <tv> 1.4.0-6.mga7
+ Revision: 1168594
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.4.0-5.mga7
+ Revision: 1135669
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-4.mga6
+ Revision: 970714
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.4.0-3.mga6
+ Revision: 887627
- use right py*version macro
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.4.0-2.mga6
+ Revision: 872876
- add python3 package
- use new python2 macro
- update file list

* Tue Sep 01 2015 fwang <fwang> 1.4.0-1.mga6
+ Revision: 871742
- update license
- imported package python-traceback2

